#
# spec file for package dolphin
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dolphin
Version:        16.08.2
Release:        3.15
Summary:        KDE File Manager
License:        GPL-2.0+
Group:          Productivity/File utilities
Url:            http://www.kde.org/
Source:         dolphin-%{version}.tar.xz
Source1:        dolphinsu.desktop
Patch0:         dolphin-go_up.diff
# PATCH-FIX-UPSTREAM fix-slow-scrolling-in-dock-panels.patch boo#1012670, kde#365968 -- fixes much too slow scrolling via mouse wheel in dolphin's side panels
Patch1:         fix-slow-scrolling-in-dock-panels.patch
BuildRequires:  baloo5-devel
BuildRequires:  baloo5-widgets-devel
BuildRequires:  extra-cmake-modules >= 1.6.0
BuildRequires:  kactivities5-devel >= 5.7.0
BuildRequires:  kbookmarks-devel >= 5.7.0
BuildRequires:  kcmutils-devel >= 5.7.0
BuildRequires:  kcompletion-devel >= 5.7.0
BuildRequires:  kconfig-devel >= 5.7.0
BuildRequires:  kcoreaddons-devel >= 5.7.0
BuildRequires:  kcrash-devel
BuildRequires:  kdbusaddons-devel >= 5.7.0
BuildRequires:  kdoctools-devel >= 5.7.0
BuildRequires:  kfilemetadata5-devel
BuildRequires:  ki18n-devel >= 5.7.0
BuildRequires:  kiconthemes-devel >= 5.7.0
BuildRequires:  kinit-devel >= 5.7.0
BuildRequires:  kio-devel >= 5.7.0
BuildRequires:  knewstuff-devel >= 5.7.0
BuildRequires:  knotifications-devel >= 5.7.0
BuildRequires:  kparts-devel >= 5.7.0
BuildRequires:  ktexteditor-devel >= 5.7.0
BuildRequires:  kwindowsystem-devel >= 5.7.0
BuildRequires:  phonon4qt5-devel
BuildRequires:  solid-devel >= 5.7.0
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.4.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
Requires:       baloo5-kioslaves
Requires:       dolphin-part = %{version}-%{release}
Recommends:     konsole-part
Recommends:     kio_mtp5
Obsoletes:      dolphin5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the default file manager of KDE Workspaces.

%package -n dolphin-part
Summary:        KDE File Manager
Group:          Productivity/File utilities
Obsoletes:      dolphin5-part
%requires_ge kio

%description -n dolphin-part
This package contains the libraries used by Dolphin and Konqueror.

%package -n libdolphinvcs5
Summary:        KDE File Manager
Group:          Productivity/File utilities

%description -n libdolphinvcs5
This package contains the libraries used by Dolphin and Konqueror.

%package devel
Summary:        KDE File Manager
Group:          Productivity/File utilities
Requires:       libdolphinvcs5 = %{version}
Obsoletes:      dolphin5-devel < %{version}
Provides:       dolphin5-devel = %{version}

%description devel
This package contains the libraries used by Dolphin and Konqueror.

%prep
%setup -q -n dolphin-%{version}
%patch0 -p1
%patch1 -p1

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

  install -D -m 0644 %{SOURCE1} %{buildroot}%{_kf5_applicationsdir}/org.kde.dolphinsu.desktop
  %suse_update_desktop_file org.kde.dolphin          System FileManager

  rm -rfv %{buildroot}%{_kf5_libdir}/libdolphinprivate.so
  find %{buildroot} -type f -name '*filenamesearch*' -exec rm -fv {} ';'

%post -n dolphin-part -p /sbin/ldconfig

%postun -n dolphin-part -p /sbin/ldconfig

%post -n dolphin -p /sbin/ldconfig

%postun -n dolphin -p /sbin/ldconfig

%post -n libdolphinvcs5 -p /sbin/ldconfig

%postun -n libdolphinvcs5 -p /sbin/ldconfig

%files -n dolphin
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_libdir}/libkdeinit5_dolphin.so
%{_kf5_bindir}/dolphin
%{_kf5_applicationsdir}/org.kde.dolphin.desktop
%{_kf5_applicationsdir}/org.kde.dolphinsu.desktop
%dir %{_kf5_kxmlguidir}
%dir %{_kf5_kxmlguidir}/dolphin
%{_kf5_kxmlguidir}/dolphin/dolphinui.rc
%dir %{_kf5_appstreamdir}
%{_kf5_appstreamdir}/org.kde.dolphin.appdata.xml
%{_kf5_bindir}/servicemenuinstallation
%{_kf5_bindir}/servicemenudeinstallation
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %{_kf5_htmldir}/en/dolphin/
%{_datadir}/dbus-1/interfaces/org.freedesktop.FileManager1.xml
%{_datadir}/dbus-1/services/org.kde.dolphin.FileManager1.service

%files -n dolphin-part
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_libdir}/libdolphinprivate.so.*
%dir %{_kf5_plugindir}
%{_kf5_plugindir}/dolphinpart.so
%dir %{_kf5_kxmlguidir}
%dir %{_kf5_kxmlguidir}/dolphinpart
%{_kf5_kxmlguidir}/dolphinpart/dolphinpart.rc
%dir %{_kf5_servicesdir}
%{_kf5_servicesdir}/dolphinpart.desktop
%dir %{_kf5_servicetypesdir}
%{_kf5_servicetypesdir}/fileviewversioncontrolplugin.desktop
%{_kf5_plugindir}/kcm_dolphin*.so
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/dolphin_*.kcfg
%{_kf5_servicesdir}/kcmdolphinviewmodes.desktop
%{_kf5_servicesdir}/kcmdolphinnavigation.desktop
%{_kf5_servicesdir}/kcmdolphinservices.desktop
%{_kf5_servicesdir}/kcmdolphingeneral.desktop
%config %{_kf5_configdir}/servicemenu.knsrc
#{_kf5_sharedir}/dolphinpart/

%files -n libdolphinvcs5
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_libdir}/libdolphinvcs.so.*

%files devel
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_libdir}/libdolphinvcs.so
%{_kf5_libdir}/cmake/DolphinVcs/
%{_kf5_prefix}/include/Dolphin/
%{_kf5_prefix}/include/dolphin_export.h
%{_includedir}/dolphinvcs_export.h

%changelog
* Thu Dec  1 2016 wbauer@tmo.at
- Add fix-slow-scrolling-in-dock-panels.patch to fix much too slow
  scrolling via mouse wheel in dolphin's side panels
  (boo#1012670, kde#365968)
* Wed Oct 12 2016 lbeltrame@kde.org
- Drop properly-check-Shift-toggling.patch, upstreamed
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
- https://www.kde.org/announcements/announce-applications-16.08.2.php
* Wed Sep 21 2016 wbauer@tmo.at
- Add properly-check-Shift-toggling.patch to fix toggling the
  "Move to Trash"/"Delete" actions in the context menu when
  pressing Shift (kde#354301)
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Wed Jun 15 2016 alarrosa@suse.com
- Require baloo5-kioslaves so dolphin doesn't show an "Invalid
  protocol" error when trying to find a file because the
  baloosearch kioslave is not installed.
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
- Drop upstreamed patch specify-fallback-icon.patch
* Tue Apr 26 2016 wbauer@tmo.at
- Added specify-fallback-icon.patch: fixes missing icons for
  certain filetypes where the specified icon doesn't exist
  (kde#358958, kde#361034)
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
- Drop upstreamed patch Fix-wrong-path-URL-conversion.patch
* Fri Mar 25 2016 wbauer@tmo.at
- Added Fix-wrong-path-URL-conversion.patch: fixes display of
  additional file metadata in dolphin's filelist for indexed files
  (boo#970896)
* Sun Mar 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.3
  * KDE Applications 15.12.3
  * https://www.kde.org/announcements/announce-applications-15.12.3.php
  * boo#970855
* Fri Feb 26 2016 wbauer@tmo.at
- Remove the --icon parameter (%%i) from the command line in
  dolphinsu.desktop, it isn't necessary and it makes dolphin crash
  on exit due to a bug in Frameworks (boo#965514, kde#359758)
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.2
  * KDE Applications 15.12.2
  * https://www.kde.org/announcements/announce-applications-15.12.2.php
  * boo#966605
- Drop upstreamed patches:
  * fix-check-for-session-close.patch
  * Do-not-delete-sub-menus-of-the-control-menu-explicitly.patch
* Thu Jan 28 2016 wbauer@tmo.at
- Added fix-check-for-session-close.patch: don't ask for
  confirmation on logout when storing the session
  (boo#953014, kde#353548)
* Thu Jan 14 2016 wbauer@tmo.at
- Added Do-not-delete-sub-menus-of-the-control-menu-explicitly.patch:
  fixes a possible crash when closing the "Control" menu (boo#952460,
  kde#354558)
* Sat Jan  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.1
  * KDE Applications 15.12.1
  * https://www.kde.org/announcements/announce-applications-15.12.1.php
  * boo#961265
* Sun Dec 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.0
  * KDE Applications 15.12.0
  * https://www.kde.org/announcements/announce-applications-15.12.0.php
  * boo#958887
* Sun Nov 29 2015 tittiatcoke@gmail.com
- Move the installed appdata file to the correct naming to
  fix bnc#957041
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
- Drop upstreamed patch:
  allow-home-directories-with-non-local-file-paths.patch
* Sun Oct 25 2015 hrvoje.senjan@gmail.com
- Added allow-home-directories-with-non-local-file-paths.patch
  (boo#950883, kde#352743, kde#353550)
* Wed Oct 21 2015 wbauer@tmo.at
- Install dolphinsu.desktop as org.kde.dolphinsu.desktop to prevent
  it being overridden by an old KDE4 entry in ~/.local/share/applications/
* Mon Oct 19 2015 wbauer@tmo.at
- Fix dolphinsu.desktop: the KF5 based dolphin doesn't support
  "-caption" any more (boo#950907)
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
* Wed Aug 19 2015 cgiboudeaux@gmx.com
- Update to KDE Applications 15.08.0
  * KDE Applications 15.08.0
  * https://www.kde.org/announcements/announce-applications-15.08.0.php
